explain_fread_or_die(3)

NAME
explain_fread_or_die - binary stream input and report errors

SYNOPSIS
#include <libexplain/fread.h>

void explain_fread_or_die(void *ptr, size_t size, size_t nmemb, FILE *fp);

DESCRIPTION
The explain_fread_or_die function is used to call the fread(3) system call. On failure an explanation will be printed to stderr, obtained from explain_fread(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    size_t how_many = explain_fread_or_die(ptr, size, nmemb, fp);

ptr The ptr, exactly as to be passed to the fread(3) system call.

size
    The size, exactly as to be passed to the fread(3) system call.

nmemb
    The nmemb, exactly as to be passed to the fread(3) system call.

fp  The fp, exactly as to be passed to the fread(3) system call.

Returns:
    This function only returns on success, the numebr read or 0 on end-of-input. On failure, prints an explanation and exits.

SEE ALSO

fread(3)
    binary stream input

explain_fread(3)
    explain fread(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2008 Peter Miller